Package cvut.fel.controller.interceptors

# Class LoggerInterceptor

java.lang.Object
cvut.fel.controller.interceptors.LoggerInterceptor

All Implemented Interfaces:
  `org.springframework.web.servlet.HandlerInterceptor`

    @Component
    public class LoggerInterceptor
    extends java.lang.Object
    implements org.springframework.web.servlet.HandlerInterceptor

Resource: https://www.baeldung.com/spring-mvc-handlerinterceptor

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `LoggerInterceptor​(ShortLoggingStrategy shortLoggingStrategy, DetailedLoggingStrategy detailedLoggingStrategy, java.lang.Boolean detailedLogging)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `postHandle​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler, org.springframework.web.servlet.ModelAndView modelAndView)` |
  `boolean` | `preHandle​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.springframework.web.servlet.HandlerInterceptor

  `afterCompletion`

- ## Constructor Details

  - ### LoggerInterceptor

    @Autowired public LoggerInterceptor​(ShortLoggingStrategy shortLoggingStrategy, DetailedLoggingStrategy detailedLoggingStrategy, @Value("${requestLogging.detail}") java.lang.Boolean detailedLogging)

- ## Method Details

  - ### preHandle

    public boolean preHandle​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler) throws java.lang.Exception
    Specified by:
      `preHandle` in interface `org.springframework.web.servlet.HandlerInterceptor`
    Throws:
      `java.lang.Exception`

  - ### postHandle

    public void postHandle​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler, org.springframework.web.servlet.ModelAndView modelAndView) throws java.lang.Exception
    Specified by:
      `postHandle` in interface `org.springframework.web.servlet.HandlerInterceptor`
    Throws:
      `java.lang.Exception`